package com.xunmei.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xunmei.common.core.web.page.TableDataInfo;
import com.xunmei.system.api.domain.SysLogininfor;
import com.xunmei.system.api.domain.SysOperLog;
import com.xunmei.system.domain.SysNotice;

import java.util.List;

/**
 * 操作日志 服务层
 *
 * @author xunmei
 */
public interface ISysOperLogService extends IService<SysOperLog>
{

    /**
     * 分页数据
     * @param operLog
     * @return
     */
    TableDataInfo<SysOperLog> selectPage(SysOperLog operLog);
    /**
     * 新增操作日志
     *
     * @param operLog 操作日志对象
     * @return 结果
     */
    int insertOperlog(SysOperLog operLog);

    /**
     * 查询系统操作日志集合
     *
     * @param operLog 操作日志对象
     * @return 操作日志集合
     */
    List<SysOperLog> selectOperLogList(SysOperLog operLog);

    /**
     * 批量删除系统操作日志
     *
     * @param operIds 需要删除的操作日志ID
     * @return 结果
     */
    int deleteOperLogByIds(Long[] operIds);

    /**
     * 查询操作日志详细
     *
     * @param operId 操作ID
     * @return 操作日志对象
     */
    SysOperLog selectOperLogById(Long operId);

    /**
     * 清空操作日志
     */
    void cleanOperLog();
}
